{% extends "bases/base.html" %}
{% load activeurl i18n static breadcrumbs cacheops pwa notifications_tags %}

{% block head_fonts %}
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Jura:wght@300;400;500;600;700&display=swap" rel="stylesheet">

    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500&display=swap" rel="stylesheet">
{% endblock %}

{% block head_extra %}
    <meta name="gitlab-dast-validation" content="fbe89ecf-bec7-46c4-98b5-a88ab4b5ffb6">
{% endblock %}
{% block sidebar %}
{% include "./partial/sidebar.html" %}
{% endblock %}
{% block navbar %}
    <nav class="navbar navbar-expand navbar-light navbar-bg">
        <!-- <a class="sidebar-toggle">
            <i class="hamburger align-self-center"></i>
        </a> -->
        <ul class="navbar-nav">
            <li class="nav-item px-2 dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="servicesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {% translate 'Main Menu' %}
                </a>
                <div class="dropdown-menu dropdown-menu-start dropdown-mega" aria-labelledby="servicesDropdown">
                    <div class="d-md-flex align-items-start justify-content-start">

                        <div class="dropdown-mega-list">
                            {% if user.is_authenticated %}
                                <div class="dropdown-header"><strong>{{ user }}</strong></div>
                                <a class="dropdown-item" href="{% url 'user_dashboard' %}">{% translate 'My Dashboard' %}</a>
                                <a class="dropdown-item" href="{% url 'nfts:asset-list' 'INFA' 'personal' %}">{% translate 'My Asteroids' %}</a>
                                <a class="dropdown-item" href="{% url 'nfts:asset-list' 'INFC' 'personal' %}">{% translate 'My Crewmates' %}</a>
                                <a class="dropdown-item" href="#">{% translate 'My Currency (Coming Soon)' %}</a>

                            {% else %}
                                <div class="dropdown-header"><strong>Guest</strong></div>
                                <a class="dropdown-item" href="#"><i class="fas fa-lock"></i>&nbsp;{% translate 'My Dashboard' %}</a>
                                <a class="dropdown-item" href="#"><i class="fa fa-lock"></i>&nbsp;{% translate 'My Asteroids' %}</a>
                                    <a class="dropdown-item" href="#"><i class="fa fa-lock"></i>&nbsp;{% translate 'My Crewmates' %}</a>
                                    <a class="dropdown-item" href="#"><i class="fa fa-lock"></i>&nbsp;{% translate 'My Currency' %}</a>
                            {% endif %}
                        </div>


                        {% if user.is_authenticated and user.allegiance %}
                            <div class="dropdown-mega-list">
                                <div class="dropdown-header"><strong>{% translate 'Alliance' %}</strong></div>
                                <a class="dropdown-item" href="#">{% translate 'Alliance Dashboard (Coming Soon)' %}</a>
                                <a class="dropdown-item" href="{% url 'nfts:asset-list' 'INFA' 'alliance_control' %}">{% translate 'Controlled Asteroids' %}</a>
                                <a class="dropdown-item" href="{% url 'nfts:asset-list' 'INFC' 'alliance_control' %}">{% translate 'Controlled Crewmates' %}</a>
                                <a class="dropdown-item" href="#">{% translate 'Membership Roster' %}</a>
                            </div>
                            {% elif not user.is_authenticated %}
                                <div class="dropdown-mega-list">
                                    <div class="dropdown-header"><strong>{% translate 'Alliance' %}</strong></div>
                                    <a class="dropdown-item" href="#"><i class="fas fa-lock"></i>&nbsp;{% translate 'Alliance Dashboard' %}</a>
                                    <a class="dropdown-item" href="#"><i class="fas fa-lock"></i>&nbsp;{% translate 'Controlled Asteroids' %}</a>
                                    <a class="dropdown-item" href="#"><i class="fas fa-lock"></i>&nbsp;{% translate 'Controlled Crewmates' %}</a>
                                    <a class="dropdown-item" href="#"><i class="fas fa-lock"></i>&nbsp;{% translate 'Membership Roster' %}</a>
                                </div>
                            {% else %}
                        {% endif %}

                        <div class="dropdown-mega-list">
                            <div class="dropdown-header"><strong>{% translate 'Tools' %}</strong></div>
                            <a class="dropdown-item" href="https://materials.adalia.id/" target="_blank">Raw Materials and Production</a>
                        </div>
                        <div class="dropdown-mega-list">
                            <div class="dropdown-header"><strong>{% translate 'External Apps' %}</strong></div>
                            <a class="dropdown-item" href="https://adalia.info" target="_blank">adalia.info</a>
                            <a class="dropdown-item" href="https://www.influence-sales.space/" target="_blank">influence-sales</a>
                            <a class="dropdown-item" href="https://tyrell-yutani.app/" target="_blank">Tyrell-Yutani</a>
                        </div>
                        <div class="dropdown-mega-list">
                            <div class="dropdown-header"><strong>{% translate 'Other Links' %}</strong></div>
                            <a class="dropdown-item" href="https://game.influenceth.io" target="_blank">Influence Home</a>
                            <a class="dropdown-item" href="https://discord.gg/fhMN7C3JbK" target="_blank">Influence Discord</a>
                            <a class="dropdown-item" href="https://opensea.io" target="_blank">OpenSea</a>
                            <a class="dropdown-item" href="https://etherscan.io" target="_blank">EtherScan</a>
                        </div>
                    </div>
                </div>

            </li>
            {% if ENVIRONMENT and ENVIRONMENT != "Production" %}
                <li class="nav-item p-2"><span class="badge badge-pill badge-danger">{% blocktranslate %}Environment: {{ ENVIRONMENT }}{% endblocktranslate %}</span></li>
            {% endif %}
        </ul>

        <div class="navbar-collapse collapse">
            <ul class="navbar-nav navbar-align">
                <li class="nav-item dropdown">
                    <a class="nav-icon dropdown-toggle" href="#" id="alertsDropdown" data-toggle="dropdown">
                        <div class="position-relative">
                            <i class="align-middle" data-feather="bell-off"></i>
                        </div>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end py-0" aria-labelledby="alertsDropdown">
                        <div class="dropdown-menu-header notyf">
                            {% if messages %}
                                {{ messages | length }} {% translate 'New Notifications' %}
                            {% else %}
                            {% translate 'No New Notifications' %}
                            {% endif %}
                        </div>
                        {% if messages %}
                        {% for message in messages %}
                        <a href="#" class="list-group-item">
                            <div class="row g-0 align-items-center">
                                <div class="col-2">
                                    <i class="text-danger" data-feather="alert-circle"></i>
                                </div>
                                <div class="col-10 ps-2">
                                    <div class="text-dark">Notification</div>
                                    <div class="text-muted small mt-1">{{ message }}</div>
                                    <div class="text-muted small mt-1">recently</div>
                                </div>
                            </div>
                        </a>
                        {% endfor %}
                        {% endif %}
                        <div class="dropdown-menu-footer">
                            <a href="#" class="text-muted">{% translate 'Show all notifications' %}</a>
                        </div>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-flag dropdown-toggle" href="#" id="languageDropdown" data-toggle="dropdown">
                        {% comment %} <i class="fas fa-language"></i> {% endcomment %}
                        <i class="fas fa-language"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="languageDropdown">
                        <a class="dropdown-item" href="javascript:setLanguage('en-GB');">
                            <img src="{% static 'my_adalia_id/images/flags/gb.png' %}" alt="{% translate 'British Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'English (Traditional)' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('en-US');">
                            <img src="{% static 'my_adalia_id/images/flags/us.png' %}" alt="{% translate 'American Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'English (Simplified)' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('es-ES');">
                            <img src="{% static 'my_adalia_id/images/flags/es.png' %}" alt="{% translate 'Spanish Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Spanish' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('de-DE');">
                            <img src="{% static 'my_adalia_id/images/flags/de.png' %}" alt="{% translate 'German Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'German' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('pt-BR');">
                            <img src="{% static 'my_adalia_id/images/flags/br.png' %}" alt="{% translate 'Brazilian Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Portuguese' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('zh-CN');">
                            <img src="{% static 'my_adalia_id/images/flags/cn.png' %}" alt="{% translate 'Chinese Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Chinese' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('ar-AE');">
                            <img src="{% static 'my_adalia_id/images/flags/ae.png' %}" alt="{% translate 'United Arab Emirates Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Arabic' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('nl-NL');">
                            <img src="{% static 'my_adalia_id/images/flags/nl.png' %}" alt="{% translate 'Netherlands Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Dutch' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('ja-JP');">
                            <img src="{% static 'my_adalia_id/images/flags/jp.png' %}" alt="{% translate 'Japanese Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'Japanese' %}</span>
                        </a>
                        <a class="dropdown-item" href="javascript:setLanguage('fr-FR');">
                            <img src="{% static 'my_adalia_id/images/flags/fr.png' %}" alt="{% translate 'French Flag' %}" width="20" class="align-middle me-1" />
                            <span class="align-middle">{% translate 'French' %}</span>
                        </a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-icon dropdown-toggle d-inline-block d-sm-none" href="#" data-toggle="dropdown">
                        <i class="align-middle" data-feather="settings"></i>
                    </a>
                    {% if user.is_authenticated %}
                        <a class="nav-link dropdown-toggle d-none d-sm-inline-block" href="#" data-toggle="dropdown">
                            <img src="{{ user.avatar |default:'/static/my_adalia_id/images/avatars/default.png' }}" class="avatar img-fluid rounded-circle me-1" alt="{% translate 'Gravatar' %}" /> <span class="text-dark p-2">{{ user }}</span>
                        </a>
                        {% else %}
                        <a class="nav-link dropdown-toggle d-none d-sm-inline-block" href="#" data-toggle="dropdown">
                            <img src="/static/my_adalia_id/images/avatars/default.png" class="avatar img-fluid rounded-circle me-1" alt="{% translate 'Gravatar' %}" /> <span class="text-dark p-2">{% translate "Guest" %}</span>
                        </a>
                    {% endif %}

                    {% block navbar_right_menus %}
                        <div class="dropdown-menu dropdown-menu-end">
                            {% if user.is_authenticated %}
                                {% if user.is_staff %}
                                    <a class="dropdown-item" aria-current="page" href="{% url 'admin:index' %}"><span class="icon admin"></span> Admin</a>
                                {% endif %}
                                <a class="dropdown-item" href="{% url 'account_change_password' %}">{% translate "Change Password" %}</a>
                                <a class="dropdown-item" href="{% url 'authentication:profile' %}">{% translate "My Profile" %}</a>
                                {% if user.is_staff %}
                                    <a class="dropdown-item" href="{% url 'organization_list' %}">{% translate "Organizations" %}</a>
                                {% endif %}
                                <a class="dropdown-item" href="{% url 'account_logout' %}">{% translate "Log Out" %}</a>

                            {% else %}
                                <a class="dropdown-item" aria-current="page" href="{% url 'account_login' %}">{% translate "Log In" %}</a>
                                <a class="dropdown-item" aria-current="page" href="{% url 'account_signup' %}">{% translate "Sign Up" %}</a>
                            {% endif %}
                        </div>
                    {% endblock %}
                </li>
            </ul>
        </div>
    </nav>
{% endblock %}
